use std::env;
use std::fs::File;
use std::io::{BufReader, Read};

fn main() {
    let args: Vec<String> = env::args().collect();
    if args.len() < 2 {
        panic!("ファイル名を指定してください。");
    }
    let filename = &args[1];
    let file = File::open(filename).unwrap();
    let mut br = BufReader::new(file);
    let mut s = String::new();
    let _ = br.read_to_string(&mut s).unwrap();
    println!("{s}");
}